BHP150 | AZD 1222 - Data Query #6069

failure to close appointment 1070
25/05/2022 10:48 - Gorata Korong

Status: Resolved
Priority: Normal
Assignee: moffat motlhanka
Category:

Target version:

Start date:
Due date:
% Done:

Estimated time:

Spent time:

25/05/2022

0%
0.00 hour
0.00 hour

Description

Please close visit 1070 for pid 150-043940201-5./

History

#1 - 25/05/2022 10:48 - Gorata Korong
- Tracker changed from Bug to Data Query

- Assignee set to moffat motlhanka

#2 - 27/06/2022 16:24 - moffat motlhanka
- Status changed from New to Resolved

25/04/2025

1/1




